var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconDataXlsComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-data-xls").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 20 20" }, rest, { ref: ref }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#7FC934', stroke: "#7FC934", d: "M3 3.75C3 2.64543 3.89543 1.75 5 1.75H11.0429L17 7.70711V16.25C17 17.3546 16.1046 18.25 15 18.25H5C3.89542 18.25 3 17.3546 3 16.25V3.75Z" }),
        React.createElement("g", { opacity: ".5" },
            React.createElement("mask", { id: "svg_3980cbb297__a", width: "7", height: "7", x: "11", y: "1", maskUnits: "userSpaceOnUse", style: { maskType: 'alpha' } },
                React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#97BCFF', d: "M11.25 1.25L17.5 7.5H13.75C12.3693 7.5 11.25 6.38071 11.25 5V1.25Z" })),
            React.createElement("g", { mask: "url(#svg_3980cbb297__a)" },
                React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M15 1.25H5C3.61929 1.25 2.5 2.36929 2.5 3.75V16.25C2.5 17.6307 3.61929 18.75 5 18.75H15C16.3807 18.75 17.5 17.6307 17.5 16.25V3.75C17.5 2.36929 16.3807 1.25 15 1.25Z" }))),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', fillRule: "evenodd", d: "M6.5625 10V15H13.4375V10H6.5625ZM5.9375 8.75C5.59232 8.75 5.3125 9.02982 5.3125 9.375V15.625C5.3125 15.9702 5.59232 16.25 5.9375 16.25H14.0625C14.4077 16.25 14.6875 15.9702 14.6875 15.625V9.375C14.6875 9.02982 14.4077 8.75 14.0625 8.75H5.9375Z", clipRule: "evenodd", opacity: ".9" }),
        React.createElement("g", { filter: "url(#svg_3980cbb297__svg_0e038cbcff__filter0_d_20339_979862)", opacity: ".9" },
            React.createElement("path", { fill: useCurrentColor ? 'currentColor' : 'url(#svg_3980cbb297__svg_0e038cbcff__paint0_linear_20339_979862)', fillRule: "evenodd", d: "M13.4375 13.125L6.5625 13.125V11.875L13.4375 11.875V13.125Z", clipRule: "evenodd", shapeRendering: "crispEdges" })),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : 'url(#svg_3980cbb297__svg_0e038cbcff__paint1_linear_20339_979862)', fillRule: "evenodd", d: "M9.375 15L9.375 10L10.625 10L10.625 15L9.375 15Z", clipRule: "evenodd", opacity: ".9" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "svg_3980cbb297__svg_0e038cbcff__paint0_linear_20339_979862", x1: "10", x2: "10", y1: "13.125", y2: "11.875", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#fff", stopOpacity: ".85" }),
                React.createElement("stop", { offset: "1", stopColor: "#fff" })),
            React.createElement("linearGradient", { id: "svg_3980cbb297__svg_0e038cbcff__paint1_linear_20339_979862", x1: "9.063", x2: "9.063", y1: "10", y2: "15", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#fff" }),
                React.createElement("stop", { offset: "1", stopColor: "#fff", stopOpacity: ".4" })),
            React.createElement("filter", { id: "svg_3980cbb297__svg_0e038cbcff__filter0_d_20339_979862", width: "8.875", height: "3.25", x: "5.563", y: "11.875", colorInterpolationFilters: "sRGB", filterUnits: "userSpaceOnUse" },
                React.createElement("feFlood", { floodOpacity: "0", result: "BackgroundImageFix" }),
                React.createElement("feColorMatrix", { in: "SourceAlpha", result: "hardAlpha", values: "0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" }),
                React.createElement("feOffset", { dy: "1" }),
                React.createElement("feGaussianBlur", { stdDeviation: ".5" }),
                React.createElement("feComposite", { in2: "hardAlpha", operator: "out" }),
                React.createElement("feColorMatrix", { values: "0 0 0 0 0.333333 0 0 0 0 0.623529 0 0 0 0 0.0352941 0 0 0 0.24 0" }),
                React.createElement("feBlend", { in2: "BackgroundImageFix", result: "effect1_dropShadow_20339_979862" }),
                React.createElement("feBlend", { in: "SourceGraphic", in2: "effect1_dropShadow_20339_979862", result: "shape" }))));
}
var IconDataXls = React.forwardRef(IconDataXlsComponent);
export default IconDataXls;
